Extending Qt Creator Manual | FileUtils

Extending Qt Creator Manual 4.5.2

# FileUtils Class

(Core::FileUtils)

- List of all members, including inherited members

## Static Public Members

QString | msgFindInDirectory()
QString | msgGraphicalShellAction()
QString | msgTerminalAction()
void | openTerminal(const QString &path)
void | removeFile(const QString &filePath, bool deleteFromFS)
bool | renameFile(const QString &from, const QString &to)
void | showInGraphicalShell(QWidget *parent, const QString &path)

## Member Function Documentation

### `[static]` QString FileUtils::msgFindInDirectory()

### `[static]` QString FileUtils::msgGraphicalShellAction()

### `[static]` QString FileUtils::msgTerminalAction()

### `[static]` void FileUtils::openTerminal(const QString &path)

### `[static]` void FileUtils::removeFile(const QString &filePath, bool deleteFromFS)

### `[static]` bool FileUtils::renameFile(const QString &from, const QString &to)

### `[static]` void FileUtils::showInGraphicalShell(QWidget *parent, const QString &path)